package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevAidkitMapper;
import com.ruoyi.project.patrol.dev.domain.TDevAidkit;
import com.ruoyi.project.patrol.dev.service.ITDevAidkitService;

/**
 * 急救箱Service业务层处理
 *
 * @author ssy
 * @date 2024-10-30
 */
@Service
public class TDevAidkitServiceImpl implements ITDevAidkitService
{
    @Autowired
    private TDevAidkitMapper tDevAidkitMapper;

    /**
     * 查询急救箱
     *
     * @param id 急救箱ID
     * @return 急救箱
     */
    @Override
    public TDevAidkit selectTDevAidkitById(Long id)
    {
        return tDevAidkitMapper.selectTDevAidkitById(id);
    }

    /**
     * 查询急救箱列表
     *
     * @param tDevAidkit 急救箱
     * @return 急救箱
     */
    @Override
    public List<TDevAidkit> selectTDevAidkitList(TDevAidkit tDevAidkit)
    {
        return tDevAidkitMapper.selectTDevAidkitList(tDevAidkit);
    }

    /**
     * 新增急救箱
     *
     * @param tDevAidkit 急救箱
     * @return 结果
     */
    @Override
    public int insertTDevAidkit(TDevAidkit tDevAidkit)
    {
        return tDevAidkitMapper.insertTDevAidkit(tDevAidkit);
    }

    /**
     * 修改急救箱
     *
     * @param tDevAidkit 急救箱
     * @return 结果
     */
    @Override
    public int updateTDevAidkit(TDevAidkit tDevAidkit)
    {
        return tDevAidkitMapper.updateTDevAidkit(tDevAidkit);
    }

    /**
     * 批量删除急救箱
     *
     * @param ids 需要删除的急救箱ID
     * @return 结果
     */
    @Override
    public int deleteTDevAidkitByIds(Long[] ids)
    {
        return tDevAidkitMapper.deleteTDevAidkitByIds(ids);
    }

    /**
     * 删除急救箱信息
     *
     * @param id 急救箱ID
     * @return 结果
     */
    @Override
    public int deleteTDevAidkitById(Long id)
    {
        return tDevAidkitMapper.deleteTDevAidkitById(id);
    }
}
